org.richfaces.renderkit.html.images

## Class BaseControlBackgroundImage

- java.lang.Object
- - org.richfaces.resource.AbstractJava2DUserResource
  - - org.richfaces.renderkit.html.BaseGradient
    - - org.richfaces.renderkit.html.images.BaseControlBackgroundImage

- All Implemented Interfaces:
    Java2DUserResource, StateHolderResource
  Direct Known Subclasses:
    ButtonBackgroundImage, ButtonDisabledBackgroundImage, ButtonHoverBackgroundImage, InputBackgroundImage, StandardButtonBgImage, StandardButtonPressedBgImage

      public abstract class BaseControlBackgroundImage
      extends BaseGradient

  Created 23.02.2008
  Since:
    3.2
  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.html.BaseGradient

      `gradientType, headerBackgroundColor, headerGradientColor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseControlBackgroundImage()`
    `BaseControlBackgroundImage(String baseColor, String gradientColor, int width)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initializeProperties(javax.faces.context.FacesContext context, Skin skin)`

    - ### Methods inherited from class org.richfaces.renderkit.html.BaseGradient

      `drawGradient, getBaseColor, getDimension, getGradientColor, getGradientHeight, getHeight, getSafeGradientHeight, getSafeHeight, getSafeWidth, getWidth, initialize, isHorizontal, isTransient, paint, paintGradient, readIntegerParameter, readIntegerParameterAsShort, readState, setBaseColorParam, setGradientColorParam, setGradientHeight, setGradientType, setHeight, setHorizontal, setWidth, writeIntegerParameter, writeIntegerParameterAsShort, writeState`

    - ### Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource

      `getImageType, getLastModified, getResponseHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseControlBackgroundImage

          public BaseControlBackgroundImage()

    - #### BaseControlBackgroundImage

          public BaseControlBackgroundImage(String baseColor,
                                            String gradientColor,
                                            int width)

  - ### Method Detail

    - #### initializeProperties

          protected void initializeProperties(javax.faces.context.FacesContext context,
                                              Skin skin)

      Overrides:
        `initializeProperties` in class `BaseGradient`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.